> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Subscription

> Updates an existing webhook subscription. All fields are optional - only provided fields will be updated.



## OpenAPI

````yaml PATCH /api/v1/mgt/workspaces/{workspaceId}/webhook-subscriptions/{subscriptionId}
openapi: 3.1.0
info:
  title: Xenia Team API - Update Webhook Subscription
  version: 1.0.0
  description: Update an existing webhook subscription.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/webhook-subscriptions/{subscriptionId}:
    patch:
      tags:
        - Webhooks
      summary: Update Webhook Subscription
      description: >-
        Updates an existing webhook subscription. All fields are optional - only
        provided fields will be updated.
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Workspace ID
        - name: subscriptionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Subscription ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 255
                url:
                  type: string
                  format: uri
                  maxLength: 2048
                events:
                  type: array
                  minItems: 1
                  maxItems: 50
                  items:
                    type: string
                description:
                  type: string
                  maxLength: 2000
                rateLimit:
                  type: integer
                  minimum: 1
                  maximum: 1000
                metadata:
                  type: object
                  additionalProperties: true
                isActive:
                  type: boolean
                  description: Set to false to pause the subscription
            example:
              events:
                - task.status_changed
                - submission.submitted
                - user.activated
              isActive: true
      responses:
        '200':
          description: Subscription updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  code:
                    type: integer
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      url:
                        type: string
                      events:
                        type: array
                        items:
                          type: string
                      isActive:
                        type: boolean
                      updatedAt:
                        type: string
                        format: date-time
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Subscription not found
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````